#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 skylighting-core
version:              0.14.1.1
visibility:           public
id:                   skylighting-core-0.14.1.1-UrE414FVGkDZu2DVQIjLg
key:                  skylighting-core-0.14.1.1-UrE414FVGkDZu2DVQIjLg
license:              BSD-3-Clause
copyright:            (C) 2016-2018 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
homepage:             https://github.com/jgm/skylighting
synopsis:             syntax highlighting library
description:
    Skylighting is a syntax highlighting library.
    It derives its tokenizers from XML syntax
    definitions used by KDE'\''s KSyntaxHighlighting
    framework, so any syntax supported by that
    framework can be added. An optional command-line
    program is provided.
    Skylighting is intended to be the successor to
    highlighting-kate.
    This package provides the core highlighting
    functionality under a permissive license. It also
    bundles XML parser definitions licensed under the
    GPL.

category:             Text
abi:                  639af68f6c2a8416dd306ba716139e46
exposed:              True
exposed-modules:
    Skylighting.Core Skylighting.Loader Skylighting.Parser
    Skylighting.Regex Skylighting.Styles Skylighting.Tokenizer
    Skylighting.Types

hidden-modules:
    Regex.KDE Regex.KDE.Regex Regex.KDE.Compile Regex.KDE.Match

import-dirs:          /usr/lib/ghc-9.2.8/site-local/skylighting-core-0.14.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/skylighting-core-0.14.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-skylighting-core
hs-libraries:         HSskylighting-core-0.14.1.1-UrE414FVGkDZu2DVQIjLg
depends:
    aeson-2.1.2.1-Hmx6V7500mlHwEWmxxTOFD
    attoparsec-0.14.4-G298qJHRQRHDUL2EvWnXPT base-4.16.4.0
    base64-bytestring-1.2.1.0-B8Du4zY6KSMD23E4GtFzXa binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-HsMAjV1BeNFIsZUD16P0wt
    colour-2.3.6-6clC4FAHuOQGiS3lKTpRP3 containers-0.6.5.1
    directory-1.3.6.2 filepath-1.4.2.2 mtl-2.2.2
    safe-0.3.21-FpmUvt1up3L9gTTd7GvBmZ text-1.2.5.0
    transformers-0.5.6.2 utf8-string-1.0.2-AaPuiI83MyhDGzjGdO2RZO
    xml-conduit-1.9.1.4-IR0Mn6nPbUxIctdeCeVKXS

haddock-interfaces:
    /usr/share/doc/haskell-skylighting-core/html/skylighting-core.haddock

haddock-html:         /usr/share/doc/haskell-skylighting-core/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

